# $Revision: 1.69 $, $Date: 2002/07/23 13:16:18 $
# conditional build
# --without tetex
# --without tc (don't build tc program, it break static linkage)
# --without dist_kernel
%define mainver		2.4.7
%define snapshot	ss010803
Summary:	Utility to control Networking behavior in 2.2.X kernels
Summary(es):	Herramientas para encaminamiento avanzado y configuracin de interfaces de red
Summary(pl):	Narzdzie do kontrolowania Sieci w kernelach 2.2
Summary(pt_BR):	Ferramentas para roteamento avanado e configurao de interfaces de rede
Name:		iproute2
Version:	%{mainver}.%{snapshot}
Release:	9
License:	GPL
Vendor:		Alexey Kuznetsov <kuznet@ms2.inr.ac.ru>
Group:		Networking/Admin
Source0:	ftp://ftp.inr.ac.ru/ip-routing/%{name}-%{mainver}-now-%{snapshot}.tar.gz
Source1:	%{name}-owl-man.tar.bz2
Patch0:		%{name}-make.patch
Patch1:		%{name}-uClibc.patch
Patch2:		%{name}-fix-2_2.patch
Patch3:		%{name}-label.patch
Patch4:		%{name}-latest.patch
Patch5:		%{name}-htb2_tc.patch
Patch6:		wrr-iproute2-2.2.4.patch
%{!?_without_tetex:BuildRequires:	tetex-dvips}
%{!?_without_tetex:BuildRequires:	tetex-latex}
%{!?_without_tetex:BuildRequires:	psutils}
Obsoletes:	iproute
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_sysconfdir	/etc/iproute2

%description
Linux 2.2 maintains compatibility with the basic configuration
utilities of the network (ifconfig, route) but a new utility is
required to exploit the new characteristics and features of the
kernel. This package includes the new utilities.

%description -l es
Linux mantiene compatibilidad con los utilitarios estndares de
configuracin de la red, pero se necesitan nuevos utilitarios para
usar los recursos y caractersticas del nuevo ncleo. Este paquete
incluye los nuevos utilitarios.

%description -l pl
Ten pakiet zawiera programy pozwalajce na kontrol routingu i innych
aspektw dotyczcych sieci.

%description -l pt_BR
O Linux mantm compatibilidade com os utilitrios padro de
configurao da rede, mas novos utilitrios so necessrios para fazer
uso das caractersticas e recursos da nova kernel. This package
includes the new utilities.

%prep
%setup -q -n %{name} -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
WRRDEF=""
grep -q tc_wrr_class_weight /usr/include/linux/pkt_sched.h || WRRDEF="-DNEED_WRR_DEFS"

%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags} ${WRRDEF}" \
	KERNEL_INCLUDE="%{_kernelsrcdir}/include" \
	%{?_without_tc:SUBDIRS="lib ip" LDFLAGS="%{rpmldflags}"}
%{!?_without_tetex:%{__make} -C doc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},%{_mandir}/man8}

install ip/{ip,rtmon,rtacct,routel} %{!?_without_tc:tc/tc} $RPM_BUILD_ROOT%{_sbindir}
install etc/iproute2/rt_protos \
	etc/iproute2/rt_realms \
	etc/iproute2/rt_scopes \
	etc/iproute2/rt_tables \
	$RPM_BUILD_ROOT%{_sysconfdir}
install man/*	$RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.iproute2+tc RELNOTES
%{!?_without_tetex:%doc doc/*.ps}
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: iproute2.spec,v $
Revision 1.69  2002/07/23 13:16:18  qboosh
- allow build wrr support without patched kernel headers on build host
- new %%doc

Revision 1.68  2002/07/23 08:33:37  cieciwa
- release 9,
- added support for WRR.

Revision 1.67  2002/05/11 18:30:35  kloczek
- merge translations from Conectiva.

Revision 1.66  2002/05/11 18:11:19  areq
- Release 8, STBR

Revision 1.65  2002/05/11 18:09:21  areq
- add man pages form Owl http://www.openwall.com/Owl/

Revision 1.64  2002/04/25 16:37:13  arturs
fixed a small typo

Revision 1.63  2002/04/12 14:59:45  qboosh
- LDFLAGS can be passed in such way only without tc
- release 7: rebuild with fixed tc

Revision 1.62  2002/04/07 01:01:48  kloczek
- release 6.

Revision 1.61  2002/03/29 20:34:36  filon
- typo in files

Revision 1.60  2002/03/13 19:19:27  kloczek
- cosmetics.

Revision 1.59  2002/03/08 15:54:27  malekith
- added --without tc bcond

Revision 1.58  2002/03/08 15:39:21  malekith
- added --without tetex bcond

Revision 1.57  2002/03/05 17:58:47  marcus
- removed uclibc stuff
- rel5.

Revision 1.56  2002/03/03 20:29:23  qboosh
- added part of htb2_2.2.17.diff to htb2_tc patch so iproute2 can be built
  with kernel-headers without htb2 patch

Revision 1.55  2002/02/28 20:49:12  newrom
- Added htb.patch for tc (QoS)
- STBR && /test

Revision 1.54  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/02/18 22:20:34  gotar
- %desc

Revision 1.52  2002/02/02 02:25:27  misiek
- added patch that fixes some things (like ip route get)
- use proper CC
- release 4

Revision 1.51  2002/01/21 17:47:28  malekith
- rel 3
- BOOT -> embed

Revision 1.50  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.49  2001/12/10 21:03:28  qrczak
- iproute2-label.patch: fix ISO C violation
- Release 2

Revision 1.48  2001/10/28 22:12:10  blues
- added fix-2_2.patch - fixes building on 2.2 kernel (adds missing
  definitions)
STBR

Revision 1.47  2001/10/11 13:26:37  malekith
- removed %{BOOT: } from Path1 (builder has problems downloading it)
- removed -m386 from build flags

Revision 1.46  2001/08/23 17:31:36  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.45  2001/08/19 20:26:27  saq
- use %%_kernelsrcdir

Revision 1.44  2001/08/07 14:02:19  baggins
- updated to 2.4.7-now-ss010803
- removed obsolete patches

Revision 1.43  2001/08/01 12:44:28  jajcus
- /etc/iproute2/* marked as %config(noreplace).

Revision 1.42  2001/06/09 10:30:55  klakier
- a little cleanup

Revision 1.41  2001/06/08 15:34:34  wiget
linux-devel-BOOT is dead, uClibc don't have symlinks to kernel includes :-(

Revision 1.40  2001/06/04 14:43:47  baggins
- added linux-2.4.5 patch (commented out)

Revision 1.39  2001/05/22 22:51:05  klakier
- added -m386 for BOOT

Revision 1.38  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.37  2001/04/24 02:41:44  kloczek
- release 3.

Revision 1.36  2001/04/23 16:45:38  wiget
typo

Revision 1.35  2001/04/15 13:08:57  klakier
- now it links against uClibc!
- combined several patches into one uClibc.patch

Revision 1.34  2001/04/15 07:54:58  klakier
- BOOT ip moved to /sbin

Revision 1.33  2001/04/14 17:41:00  klakier
- added BOOT package
  TODO link with uClibc (some linking porblems so far)

Revision 1.32  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.31  2000/11/06 19:39:36  baggins
- release 2
- added ll_types patch

Revision 1.30  2000/10/10 18:16:02  kloczek
- ops .. next fix in %install.

Revision 1.29  2000/10/10 17:46:03  kloczek
- fix for proper install routel.

Revision 1.28  2000/10/10 17:19:28  kloczek
- typo.

Revision 1.27  2000/10/10 17:04:51  kloczek
- make %%{debug} ready.

Revision 1.26  2000/10/10 16:45:52  baggins
- changed version to include snapshot date

Revision 1.25  2000/10/08 02:46:53  baggins
- updated to ss001007

Revision 1.24  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/06/07 07:04:05  wiget
BuildRequires latex

Revision 1.22  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.21  2000/05/09 20:29:58  wiget
ss000305

Revision 1.20  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.19  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.17  2000/03/10 14:47:13  cieciwa
- fixed typo in %install part. [missing"%"]

Revision 1.16  2000/03/10 14:26:36  kloczek
- spec adapterized,
- more rpm macros.

Revision 1.15  2000/02/28 16:41:16  wiget
- new snapshot

Revision 1.14  2000/01/04 23:09:25  wiget
- Obsoletes: iproute (easy upgrade from RH)

Revision 1.13  1999/10/28 07:18:47  wiget
- upgrade to new snapshot

Revision 1.12  1999/09/03 16:32:17  misiek
- updated to 0824

Revision 1.11  1999/08/01 01:27:26  kloczek
- release 3,
- fix: move all binaries to %{_sbindir}.

Revision 1.10  1999/07/28 16:25:45  kloczek
- added to BuildRequires psutils.

Revision 1.9  1999/07/27 21:28:05  kloczek
- typo in header.

Revision 1.8  1999/07/27 10:48:38  kloczek
- relaease 2,
- added BuildRequire: tetex-dvips.

Revision 1.7  1999/07/18 14:53:23  baggins
- fixed bogus Group: field

Revision 1.6  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

Revision 1.5  1999/07/11 17:16:01  misiek
update && make doc

* Sat May  1 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.2.4-1]
- new upstream release (990417),
- patches corrected,
- added %{_sysconfdir}/iproute2/*,
- added more documentation,
- recompiled on rpm 3,
- cosmetic changes for common l&f.

* Fri Feb 19 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- new upstream release
- gzipping instead bzipping

* Fri Jan 01 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- new upstream release (981220).
- docs are now compressed

* Sat Nov 07 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- new upstream release (981101),
- corrected patch.

* Wed Oct 14 1998 Arkadiusz Mikiewicz <misiek@zsz2.starachowice.pl>
- initial rpm release.
